Subject: [Qemu-devel] [PATCH] QEMU: ARM: boot: Load kernel at an Image friendly address

From: [email-masked] (Christopher Covington)
Date: Thu, 17 Apr 2014 09:34:52 -0400

On 04/17/2014 06:02 AM, Peter Maydell wrote:
> On 2 April 2014 13:47, Peter Maydell <[email-masked]> wrote:
>> On 2 April 2014 13:11, Peter Crosthwaite <[email-masked]> wrote:
>>> Like others, I have been carrying this change locally. Good to see it up!
>>
>> Why are you all booting raw Images anyway (just out of curiosity)?
> 
> Given the recent feedback from the kernel mailing list (viz "don't boot
> Image unless you really know what you're doing, the correct load
> image may change randomly depending what other board support
> is in a multikernel image, etc") maybe we should just remove the
> Image booting support instead? Clearly nobody who hasn't locally
> patched QEMU is using it at the moment...

An opportunity for a fresh start at low-level loading facilities, should
anyone be inclined to pursue it, sounds good to me.

Christopher

-- 
Employee of Qualcomm Innovation Center, Inc.
Qualcomm Innovation Center, Inc. is a member of Code Aurora Forum,
hosted by the Linux Foundation.